# Embedded content

```tsx
<CanvasGrid
  embeds={[
    {
      embedId: 1,
      position: {
        sheetId: 1,
        overlayPosition: {
          anchorCell: { rowIndex: 2, columnIndex: 3},
          widthPixels: 500,
          heightPixels: 500,
          offsetXPixels: 0,
          offsetYPixels: 0,
        },
      },
      borderColor: "transparent",
      lockAspectRatio: true,
      spec: {
        type: "image",
        imageUrl: "https://www.google.com/images/srpr/logo3w.png",
      },
    }
  ]}
  getEmbedComponent={(props: EmbedComponentProps) => {
    return (
      <div>My Embed component</div>
    )
  }}
/>
```

{% hint style="info" %}
Currently, there is no UI to add/edit embeds
{% endhint %}

## Drag and Drop images

If you press and hold the `Shift` key and drag images on to the spreadsheet, they will be added on top of the sheet.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rowsncolumns.app/configuration/features/embedded-content.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
